Bug 437766 - crashing
crashing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: telepathy-mission-control (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Sindre Pedersen Bjørdal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 07:09 EDT by Matěj Cepl
Modified: 2008-05-29 08:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.64
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-29 08:44:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2008-03-17 07:09:45 EDT
Description of problem:
[matej@hubmaier ~]$ ls core.* |wc -l
70
[matej@hubmaier ~]$

[matej@hubmaier ~]$ rpm -qa telepathy\* |grep -v debuginfo
telepathy-gabble-0.6.2-1.fc9.x86_64
telepathy-glib-devel-0.7.5-2.fc9.x86_64
telepathy-mission-control-devel-4.63-1.fc9.x86_64
telepathy-salut-0.2.2-3.fc9.x86_64
telepathy-glib-0.7.5-2.fc9.x86_64
telepathy-mission-control-4.63-1.fc9.x86_64
telepathy-idle-0.1.2-3.fc9.x86_64
telepathy-filesystem-0.0.1-2.fc8.noarch
telepathy-sofiasip-0.4.3-1.fc9.x86_64
telepathy-haze-mission-control-0.2.0-1.fc9.x86_64
telepathy-stream-engine-0.4.0-1.fc8.x86_64
telepathy-haze-0.2.0-1.fc9.x86_64
[matej@hubmaier ~]$

(output of gdb)
[New process 28514]
#0 0x0000003202432f75 in raise (sig=<value optimized out>)
at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64 return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
Missing separate debuginfos, use: debuginfo-install libcap.x86_64
libselinux.x86_64
(gdb) thread apply all backtrace

Thread 1 (process 28514):
#0 0x0000003202432f75 in raise (sig=<value optimized out>)
at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1 0x0000003202434ae3 in abort () at abort.c:88
#2 0x000000398485cf17 in IA__g_assertion_message (
domain=<value optimized out>, file=<value optimized out>,
line=<value optimized out>, func=<value optimized out>,
message=<value optimized out>) at gtestutils.c:1218
#3 0x000000398e418243 in mc_account_monitor_init (self=<value optimized
out>)
at mc-account-monitor.c:331
#4 0x0000003984c2b30e in IA__g_type_create_instance (
type=<value optimized out>) at gtype.c:1575
#5 0x0000003984c10a2b in g_object_constructor (type=<value optimized out>,

n_construct_properties=<value optimized out>,
construct_params=<value optimized out>) at gobject.c:1046
#6 0x0000003984c11063 in IA__g_object_newv (
object_type=<value optimized out>, n_parameters=<value optimized out>,

parameters=<value optimized out>) at gobject.c:937
#7 0x0000003984c11bb7 in IA__g_object_new_valist (
object_type=<value optimized out>,
first_property_name=<value optimized out>, var_args=<value optimized
out>)
at gobject.c:986
#8 0x0000003984c11cfc in IA__g_object_new (object_type=<value optimized
out>,
first_property_name=<value optimized out>) at gobject.c:795
#9 0x000000398e417d61 in mc_account_monitor_new () at
mc-account-monitor.c:409
#10 0x000000398e416ea9 in mc_accounts_list () at mc-account.c:720
#11 0x000000398e416f88 in mc_accounts_list_by_enabled (
enabled=<value optimized out>) at mc-account.c:759
#12 0x0000003985810dc7 in mcd_master_init (master=<value optimized out>)
at mcd-master.c:116
#13 0x0000003984c2b0f1 in IA__g_type_create_instance (
type=<value optimized out>) at gtype.c:1567
#14 0x0000003984c10a2b in g_object_constructor (type=<value optimized out>,

n_construct_properties=<value optimized out>,
construct_params=<value optimized out>) at gobject.c:1046
#15 0x0000003984c11063 in IA__g_object_newv (
object_type=<value optimized out>, n_parameters=<value optimized out>,

parameters=<value optimized out>) at gobject.c:937
#16 0x0000003984c11bb7 in IA__g_object_new_valist (
object_type=<value optimized out>,
first_property_name=<value optimized out>, var_args=<value optimized
out>)
at gobject.c:986
#17 0x0000003984c11cfc in IA__g_object_new (object_type=<value optimized
out>,
first_property_name=<value optimized out>) at gobject.c:795
#18 0x00000000004009cb in main (argc=<value optimized out>,
argv=<value optimized out>) at mc-server.c:51
(gdb)

Additional info:
was told that our version of MC is totally obsolete and known to crash. Will
upgrade.
Comment 2 Bug Zapper 2008-05-14 02:39:19 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Sindre Pedersen Bjørdal 2008-05-29 08:38:39 EDT
Is this still valid?
Comment 4 Sindre Pedersen Bjørdal 2008-05-29 08:44:44 EDT
This has been reported by upstream as fixed in .64 and beyond, See
http://sourceforge.net/tracker/index.php?func=detail&atid=932444&aid=1912653&group_id=190214
and http://bugs.freedesktop.org/show_bug.cgi?id=14968

I'm closing this, re-open if issue reappears.

Note You need to log in before you can comment on or make changes to this bug.